#define pin 35
#define pin_green 23
#define pin_red 19

float pinValue;
float pinVoltage;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  pinMode(pin_green, OUTPUT);
  pinMode(pin_red, OUTPUT);

}

void loop() {
  // put your main code here, to run repeatedly:
  pinValue = analogRead(pin); //raw digital values
  pinVoltage  = (pinValue/4095)*3.3; //voltage in V
  
  if (pinVoltage >= 3)
  {
    digitalWrite(pin_green, LOW);   // turn on the green LED
    digitalWrite(pin_red, HIGH);    // turn off the red LED
    Serial.print("voltage : "); Serial.println(pinVoltage);
    Serial.println("in if");
    Serial.println("");
  }

  else
  {
    digitalWrite(pin_red, LOW);   // turn on the red LED
    digitalWrite(pin_green, HIGH);    // turn off the green LED
    Serial.print("voltage : "); Serial.println(pinVoltage);
    Serial.println("in else");
    Serial.println("");
  }

  delay(2000);
  

}
